<template>
	<el-row class="faceDialog">
		<el-dialog title="" :visible.sync="outerVisible" v-if="outerVisible">
			<el-row id="qrcode" class="flexHcenter" alt=""></el-row>
			<el-dialog
				width="40%"
				style="margin-top:20vh;"
				title="视频确认信息"
				:visible.sync="innerVisible"
				append-to-body
			>
				<el-row class="f12">请打印确认书模板签字后，由经办人手持身份证头像面和已签字的确认书拍照，并上传照片到平台。</el-row>
				<el-row class="f14 marginTop20">
					<el-col class="cur" :span="8">
						<a
							class="c4D84EF"
							href="/api/chain/front/chainFileStore/template/短信签署确认书.docx"
							download
						>确认书模板下载</a>
					</el-col>
					<el-col class="c4D84EF cur" :span="8">
						<el-popover placement="top" width="240" trigger="hover">
							<img src="/api/chainFileStore/template/拍照验证示例照片.jpg" style="width:15rem;height:auto;" alt="">
							<a slot="reference">图片示例</a>
						</el-popover>
					</el-col>
				</el-row>
				<el-row class="flexVcenter marginTop20">
					<div class="c9696A0 f14 talinright" style="display:inline-block;">上传图片</div>
					<el-col class="c9696A0 f14 marginLeft16" :span="8">
						<ootecoUpload :conf="upload"></ootecoUpload>
					</el-col>
				</el-row>
			</el-dialog>
			<el-row slot="footer" class="dialog-footer f12" v-if="!smsSign">
				<el-row class="talincenter">{{conf.text || '扫描上方二维码人脸识别，完成后将自动跳转进行合同签署'}}</el-row>
				<div class="talincenter c4D84EF f12 cur marginTop20" @click="innerVisible=true">人脸识别不成功？点击此处</div>
			</el-row>
			<el-row slot="footer" class="dialog-footer f12" v-else>
				<el-row class="talincenter">扫描上方二维码人进行合同签署</el-row>
			</el-row>
		</el-dialog>
	</el-row>
</template>

<script>
import ootecoUpload from '@com/ooteco_upload'
export default {
	mixins: [$mixin],
	props: ['conf'],
	components: { ootecoUpload },
	data() {
		return {
			outerVisible: false,
			innerVisible: false,
			smsSign: false,
			upload: {
				url: 'company/confirm',
				type: 'button',
				class: 2,
				data: {
					type: 1
				},
				uploadCallBack: 'faceReload',
				name: 'confirmFile'
			}
		}
	},
	created() {
		this.upload.data.type = this.conf.text ? 1 : 2
	},
	methods: {
		show() {
			let condition = false
			for (const key in this.conf.option) {
				if (!this.conf.option[key]) {
					condition = true
				}
			}
			if (condition || Object.keys(this.conf.option).length !== 3) {
				this.alert('二维码生成参数有误')
				return false
			}
			this.getFaceVerifyToken(
				Object.assign({}, this.conf.option, {
					callBack: url => {
						console.log('======')
						this.outerVisible = true
						this.$nextTick(() => {
							this.qrcode(url)
						})
					}
				})
			)

			// {
			// 	cardNo: '430124199409025914',
			// 	name: '钟柳',
			// 	type: 1
			// }
			// {
			// 	companyCode: '91440300MA5DDP4U88',
			// 	contractCode: 'c177971d-ad6f-4e04-b08d-2cab58345451',
			// 	type: 2
			// }
		}
	},
	mounted() {
		this.listen('faceReload', () => {
			if (this.conf.option.contractCode) {
				let urlPath =
					'http://ldTest.ooteco.com/#/ContractViewFile?contractCode=' +
					this.conf.option.contractCode +
					'&companyCode=' +
					this.conf.option.companyCode +
					'&type=mobile_code&token=' +
					this.userInfo.token
				document.querySelector('#qrcode img').remove()
				this.qrcode(urlPath)
				this.smsSign = true
				this.innerVisible = false
				return false
			}
			if (this.$route.name === 'home') {
				window.location.reload()
			}
		})
	}
}
</script>

<style lang="less">
.faceDialog {
	.el-dialog {
		margin-top: 20vh !important;
	}
	#qrcode {
		height: 9.375rem;
	}
}
</style>
